## org.apache.batik.css.dom
Class CSSOMValue.AbstractModificationHandler

    java.lang.Object
      org.apache.batik.css.dom.CSSOMValue.AbstractModificationHandler

All Implemented Interfaces:
  CSSOMValue.ModificationHandler

Enclosing class:
  CSSOMValue

public abstract class CSSOMValue.AbstractModificationHandler
extends java.lang.Object
implements CSSOMValue.ModificationHandler

This class provides an abstract implementation of a ModificationHandler.

Constructor Summary
`CSSOMValue.AbstractModificationHandler()`

Method Summary
`void` `blueFloatValueChanged(short unit, float value)` Called when the blue float value has changed.
`void` `blueTextChanged(java.lang.String text)` Called when the blue value text has changed.
`void` `bottomFloatValueChanged(short unit, float value)` Called when the bottom float value has changed.
`void` `bottomTextChanged(java.lang.String text)` Called when the bottom value text has changed.
`void` `floatValueChanged(short unit, float value)` Called when the float value has changed.
`protected abstract Value` `getValue()` Returns the associated value.
`void` `greenFloatValueChanged(short unit, float value)` Called when the green float value has changed.
`void` `greenTextChanged(java.lang.String text)` Called when the green value text has changed.
`void` `leftFloatValueChanged(short unit, float value)` Called when the left float value has changed.
`void` `leftTextChanged(java.lang.String text)` Called when the left value text has changed.
`void` `listFloatValueChanged(int idx, short unit, float value)` Called when the list float value has changed.
`void` `listStringValueChanged(int idx, short unit, java.lang.String value)` Called when the list string value has changed.
`void` `listTextChanged(int idx, java.lang.String text)` Called when the list value text has changed.
`void` `redFloatValueChanged(short unit, float value)` Called when the red float value has changed.
`void` `redTextChanged(java.lang.String text)` Called when the red value text has changed.
`void` `rightFloatValueChanged(short unit, float value)` Called when the right float value has changed.
`void` `rightTextChanged(java.lang.String text)` Called when the right value text has changed.
`void` `stringValueChanged(short type, java.lang.String value)` Called when the string value has changed.
`void` `topFloatValueChanged(short unit, float value)` Called when the top float value has changed.
`void` `topTextChanged(java.lang.String text)` Called when the top value text has changed.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.batik.css.dom.CSSOMValue.ModificationHandler
`textChanged`

Constructor Detail

### CSSOMValue.AbstractModificationHandler

    public CSSOMValue.AbstractModificationHandler()

Method Detail

### getValue

    protected abstract Value getValue()

  Returns the associated value.

### floatValueChanged

    public void floatValueChanged(short unit,
                                  float value)
                           throws org.w3c.dom.DOMException

  Called when the float value has changed.

  Specified by:
    `floatValueChanged` in interface `CSSOMValue.ModificationHandler`
  Throws:
    `org.w3c.dom.DOMException`

### stringValueChanged

    public void stringValueChanged(short type,
                                   java.lang.String value)
                            throws org.w3c.dom.DOMException

  Called when the string value has changed.

  Specified by:
    `stringValueChanged` in interface `CSSOMValue.ModificationHandler`
  Throws:
    `org.w3c.dom.DOMException`

### leftTextChanged

    public void leftTextChanged(java.lang.String text)
                         throws org.w3c.dom.DOMException

  Called when the left value text has changed.

  Specified by:
    `leftTextChanged` in interface `CSSOMValue.ModificationHandler`
  Throws:
    `org.w3c.dom.DOMException`

### leftFloatValueChanged

    public void leftFloatValueChanged(short unit,
                                      float value)
                               throws org.w3c.dom.DOMException

  Called when the left float value has changed.

  Specified by:
    `leftFloatValueChanged` in interface `CSSOMValue.ModificationHandler`
  Throws:
    `org.w3c.dom.DOMException`

### topTextChanged

    public void topTextChanged(java.lang.String text)
                        throws org.w3c.dom.DOMException

  Called when the top value text has changed.

  Specified by:
    `topTextChanged` in interface `CSSOMValue.ModificationHandler`
  Throws:
    `org.w3c.dom.DOMException`

### topFloatValueChanged

    public void topFloatValueChanged(short unit,
                                     float value)
                              throws org.w3c.dom.DOMException

  Called when the top float value has changed.

  Specified by:
    `topFloatValueChanged` in interface `CSSOMValue.ModificationHandler`
  Throws:
    `org.w3c.dom.DOMException`

### rightTextChanged

    public void rightTextChanged(java.lang.String text)
                          throws org.w3c.dom.DOMException

  Called when the right value text has changed.

  Specified by:
    `rightTextChanged` in interface `CSSOMValue.ModificationHandler`
  Throws:
    `org.w3c.dom.DOMException`

### rightFloatValueChanged

    public void rightFloatValueChanged(short unit,
                                       float value)
                                throws org.w3c.dom.DOMException

  Called when the right float value has changed.

  Specified by:
    `rightFloatValueChanged` in interface `CSSOMValue.ModificationHandler`
  Throws:
    `org.w3c.dom.DOMException`

### bottomTextChanged

    public void bottomTextChanged(java.lang.String text)
                           throws org.w3c.dom.DOMException

  Called when the bottom value text has changed.

  Specified by:
    `bottomTextChanged` in interface `CSSOMValue.ModificationHandler`
  Throws:
    `org.w3c.dom.DOMException`

### bottomFloatValueChanged

    public void bottomFloatValueChanged(short unit,
                                        float value)
                                 throws org.w3c.dom.DOMException

  Called when the bottom float value has changed.

  Specified by:
    `bottomFloatValueChanged` in interface `CSSOMValue.ModificationHandler`
  Throws:
    `org.w3c.dom.DOMException`

### redTextChanged

    public void redTextChanged(java.lang.String text)
                        throws org.w3c.dom.DOMException

  Called when the red value text has changed.

  Specified by:
    `redTextChanged` in interface `CSSOMValue.ModificationHandler`
  Throws:
    `org.w3c.dom.DOMException`

### redFloatValueChanged

    public void redFloatValueChanged(short unit,
                                     float value)
                              throws org.w3c.dom.DOMException

  Called when the red float value has changed.

  Specified by:
    `redFloatValueChanged` in interface `CSSOMValue.ModificationHandler`
  Throws:
    `org.w3c.dom.DOMException`

### greenTextChanged

    public void greenTextChanged(java.lang.String text)
                          throws org.w3c.dom.DOMException

  Called when the green value text has changed.

  Specified by:
    `greenTextChanged` in interface `CSSOMValue.ModificationHandler`
  Throws:
    `org.w3c.dom.DOMException`

### greenFloatValueChanged

    public void greenFloatValueChanged(short unit,
                                       float value)
                                throws org.w3c.dom.DOMException

  Called when the green float value has changed.

  Specified by:
    `greenFloatValueChanged` in interface `CSSOMValue.ModificationHandler`
  Throws:
    `org.w3c.dom.DOMException`

### blueTextChanged

    public void blueTextChanged(java.lang.String text)
                         throws org.w3c.dom.DOMException

  Called when the blue value text has changed.

  Specified by:
    `blueTextChanged` in interface `CSSOMValue.ModificationHandler`
  Throws:
    `org.w3c.dom.DOMException`

### blueFloatValueChanged

    public void blueFloatValueChanged(short unit,
                                      float value)
                               throws org.w3c.dom.DOMException

  Called when the blue float value has changed.

  Specified by:
    `blueFloatValueChanged` in interface `CSSOMValue.ModificationHandler`
  Throws:
    `org.w3c.dom.DOMException`

### listTextChanged

    public void listTextChanged(int idx,
                                java.lang.String text)
                         throws org.w3c.dom.DOMException

  Called when the list value text has changed.

  Specified by:
    `listTextChanged` in interface `CSSOMValue.ModificationHandler`
  Throws:
    `org.w3c.dom.DOMException`

### listFloatValueChanged

    public void listFloatValueChanged(int idx,
                                      short unit,
                                      float value)
                               throws org.w3c.dom.DOMException

  Called when the list float value has changed.

  Specified by:
    `listFloatValueChanged` in interface `CSSOMValue.ModificationHandler`
  Throws:
    `org.w3c.dom.DOMException`

### listStringValueChanged

    public void listStringValueChanged(int idx,
                                       short unit,
                                       java.lang.String value)
                                throws org.w3c.dom.DOMException

  Called when the list string value has changed.

  Specified by:
    `listStringValueChanged` in interface `CSSOMValue.ModificationHandler`
  Throws:
    `org.w3c.dom.DOMException`

Copyright © 2004 Apache Software Foundation. All Rights Reserved.